summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-02-21 16:58:41 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-02-21 17:05:45 +0100
commit523869bba8cbaf23c489f806ab38e2bc3f75b55e (patch)
treef3b082d737316642fc0c5a396e6fbe6f773c411a /media-video
parentmedia-video/libva-utils: EAPI-7 bump (diff)
downloadgentoo-523869bba8cbaf23c489f806ab38e2bc3f75b55e.tar.gz
gentoo-523869bba8cbaf23c489f806ab38e2bc3f75b55e.tar.bz2
gentoo-523869bba8cbaf23c489f806ab38e2bc3f75b55e.zip
media-video/libva-utils: 2.4.0 version bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'media-video')
-rw-r--r--media-video/libva-utils/Manifest1
-rw-r--r--media-video/libva-utils/libva-utils-2.4.0.ebuild61
-rw-r--r--media-video/libva-utils/libva-utils-9999.ebuild7
3 files changed, 68 insertions, 1 deletions
diff --git a/media-video/libva-utils/Manifest b/media-video/libva-utils/Manifest
index ef287206c99..3d9655051ff 100644
--- a/media-video/libva-utils/Manifest
+++ b/media-video/libva-utils/Manifest
@@ -2,3 +2,4 @@ DIST libva-utils-2.0.0.tar.gz 1033292 BLAKE2B 5f9e36d2a69a6a65f3d47b0e29aa180720
DIST libva-utils-2.1.0.tar.gz 1034951 BLAKE2B 88fb075bd1946bbba79c460640c3242a6ad85fcb6396a77b549ce3d2193fb4ab6df35b70a0981d56cbc40822a9b2146074255f573783547b23ee0e7d8670fce3 SHA512 2dbf1e1849136804be8970b1f02957e6e3eb593a72e34289e8e2c087b3a358596e5eed7d17d3c56701045116a0658450c37b26600a352dcb37ed0d58d5e14ba6
DIST libva-utils-2.2.0.tar.gz 1037165 BLAKE2B 7d86ab23972be8abd7703fcf38025ddf3dfce1fab00d7b5ac083004cb33fef1cc4d8aab7ebba6e20b33377f0e4b3b9b0ff9b3e47a2ddc0c2bfcd7b256cd2ade9 SHA512 c4394755f500c0839d8ab40baa40deae26dbdd7b4782993b9a46e011712e943a1a55afe1b0b05dc8af80eccb327c8bc388576e4843447715248133e2a5c706ec
DIST libva-utils-2.3.0.tar.gz 1086331 BLAKE2B d983831605cc28c361ef0609699560c655186ecf4d4ee045b377d5928e7b0a127126aa92cf986b17f6eae3de9dde311321fdc58caada9545d1afd047f380c1b6 SHA512 ae36afb19f3414f4a3b857bbaeedd088e91e8a11cc785c4b945af0c7bf0e7bca7821ea5731b0868a26f273e323c0b155b12d87b4740fe8b2893ef024b8a979d8
+DIST libva-utils-2.4.0.tar.bz2 1030271 BLAKE2B b57947f9bd63f34b27a403484ae6b66e750f854dd87c8448afb3d361581d83b20a5ffd8d7e22c9dbf5fae6f7ff3fd62d70cc248b29a862066ff10928629e4d11 SHA512 c5c674179ed589968fd296a7e33dd57a3476c237d8e15258938b364051d501e156c22b41b98fe59d6bc36805495a934dee602ec9e9bb5350c72aa65d3d300ff6
diff --git a/media-video/libva-utils/libva-utils-2.4.0.ebuild b/media-video/libva-utils/libva-utils-2.4.0.ebuild
new file mode 100644
index 00000000000..928d6f126f6
--- /dev/null
+++ b/media-video/libva-utils/libva-utils-2.4.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999* ]] ; then # Live ebuild
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/intel/libva-utils"
+fi
+inherit autotools
+
+DESCRIPTION="Collection of utilities and tests for VA-API"
+HOMEPAGE="https://01.org/linuxmedia/vaapi"
+if [[ ${PV} != *9999* ]] ; then
+ SRC_URI="https://github.com/intel/libva-utils/releases/download/${PV}/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+drm test wayland X"
+
+REQUIRED_USE="|| ( drm wayland X )"
+
+BDEPEND="
+ virtual/pkgconfig
+"
+DEPEND="
+ >=x11-libs/libva-2.0.0:=[drm?,wayland?,X?]
+ drm? ( >=x11-libs/libdrm-2.4 )
+ wayland? ( >=dev-libs/wayland-1.0.6 )
+ X? (
+ >=x11-libs/libX11-1.6.2
+ >=x11-libs/libXext-1.3.2
+ >=x11-libs/libXfixes-5.0.1
+ )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( NEWS )
+
+src_prepare() {
+ default
+ sed -e 's/-Werror//' -i test/Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable drm)
+ $(use_enable test tests)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ [[ ${PV} = *9999* ]] && DOCS+=( CONTRIBUTING.md README.md )
+ default
+}
diff --git a/media-video/libva-utils/libva-utils-9999.ebuild b/media-video/libva-utils/libva-utils-9999.ebuild
index 6388f612168..928d6f126f6 100644
--- a/media-video/libva-utils/libva-utils-9999.ebuild
+++ b/media-video/libva-utils/libva-utils-9999.ebuild
@@ -37,7 +37,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
-DOCS=( CONTRIBUTING.md NEWS README.md )
+DOCS=( NEWS )
src_prepare() {
default
@@ -54,3 +54,8 @@ src_configure() {
)
econf "${myeconfargs[@]}"
}
+
+src_install() {
+ [[ ${PV} = *9999* ]] && DOCS+=( CONTRIBUTING.md README.md )
+ default
+}